CyberLink Community Forum
where the experts meet
| Advanced Search >
DP 1.3+ display required for BluRay 4K?
Reply to this topic
jimaah [Avatar]
Newbie Private Message Joined: Jun 11, 2019 16:56 Messages: 2 Offline
[Post New]
Accroding to the FAQ:

"[Display Device] (Required)
Display device with HDMI 2.0a/DisplayPort 1.3 or above connection interface, and must support HDCP 2.2."

I understand the need for HDCP 2.2 when playing 4K BluRay but I do not understand the need for a DisplayPort 1.3 or better display.

Can someone advise why this is?

Thanks.
Reply
AshWilliams [Avatar]
Newbie Private Message Joined: Mar 28, 2013 23:38 Messages: 22 Offline
[Post New]
The implementation of 1.3 increased the transmission bandwidth enough for 4K content, which 1.2 is not capable of.

Ash

This message was edited 1 time. Last update was at Jul 16. 2019 04:54

Reply
jimaah [Avatar]
Newbie Private Message Joined: Jun 11, 2019 16:56 Messages: 2 Offline
[Post New]
Quote The implementation of 1.3 increased the transmission bandwidth enough for 4K content, which 1.2 is not capable of.

Ash


Well this is what confuses me the most. DP 1.2 can do 4K 60Hz.

My Dell U2718Q monitor can do HDCP 2.2 over DP 1.2.

Would I really need to go and buy the $2000 Dell UP2718Q which can do HDCP 2.2 over DP 1.4 to watch Blu Ray 4K?
Reply
QC2.0 [Avatar]
Contributor Private Message Joined: Apr 27, 2016 04:02 Messages: 357 Offline
[Post New]
I think that DP version 1.2 is widely used in various new or pretty old DP monitors.
Most of DP1.2 monitors do NOT support HDCP2.2, but a new monitor that has DP1.3 is very likely to support HDCP 2.2 (however, it is still controlled by the monitor manufacturers).

If your current monitor clearly states it supports HDCP 2.2 for 4K DRM, you can check the compatibility by Ultra HD Blu-ray advisor first BEFORE you buy the new and high end one.

HDCP2.2 should be the key factor, which is more important than the connection interface version.

This message was edited 2 times. Last update was at Jul 16. 2019 22:06

Reply
Reply to this topic
Powered by JForum 2.1.8 © JForum Team